﻿@model InsertServiceViewModel

<div class="row">
    <div class="col-md-4">
        <form asp-controller="Service" asp-action="Insert" method="post">
            <h4><i class="fa fa-user fa-fw"></i> Unesite podatke klijenta</h4>
            <hr />
            <div class="form-group">
                @Html.Label("Name", "Naziv", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.Name, new { @class = "form-control", @placeholder = "Unesite naziv..." })
                @Html.ValidationMessageFor(m => m.Name, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label(null, "Tip:", new { style = "font-weight:bold" })
                <br />
                @foreach (var item in @Model.AllServiceTypes)
                {
                    @Html.RadioButtonFor(m => m.ServiceType, $"{item}", false) @Html.Label(null, $"{item}", new { style = "font-weight:bold; margin-right:15px; margin-left:5px" })
                }
                @Html.ValidationMessageFor(m => m.ServiceType, "", new { @class = "text-danger" })
            </div>

            <hr />
            <button type="submit" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-check fa-sm" aria-hidden="true"></i> Sačuvaj</button>
            <a asp-controller="Home" asp-action="Index" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-danger btn-sm"><i class="fa fa-times fa-sm" aria-hidden="true"></i> Poništi</a>
        </form>
    </div>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}